As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 1281739 - Match updated spec for `/\w/iu` and `/\W/iu`
: Match updated spec for `/\w/iu` and `/\W/iu`
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: Unspecified Unspecified
: -- normal (vote)
: mozilla50
Assigned To: Tooru Fujisawa [:arai]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-23 02:21 PDT by Mathias Bynens
Modified: 2016-06-27 12:38 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Do not match K, S, k, s, KELVIN SIGN, LATIN SMALL LETTER LONG S with \W in unicode RegExp. (3.72 KB, patch)
2016-06-23 16:59 PDT, Tooru Fujisawa [:arai]
till: review+
Details | Diff | Splinter Review

Description User image Mathias Bynens 2016-06-23 02:21:56 PDT
Now that https://github.com/tc39/ecma262/pull/525 has landed, `\u017F` (LATIN SMALL LETTER LONG S) and `\u212A` (KELVIN SIGN) are word characters for `/iu` patterns.

Expected behavior:

    /\w/iu.test('\u017F') // true
    /\w/iu.test('\u212A') // true
    /\W/iu.test('\u017F') // false
    /\W/iu.test('\u212A') // false

Actual behavior: currently, they all result in `true`.
Comment 1 User image Tooru Fujisawa [:arai] 2016-06-23 16:59:04 PDT
Created attachment 8764761 [details] [diff] [review]
Do not match K, S, k, s, KELVIN SIGN, LATIN SMALL LETTER LONG S with \W in unicode RegExp.

Removed K, S, k, s, KELVIN SIGN, LATIN SMALL LETTER LONG S from kNegatedIgnoreCaseWordAndSurrogateRanges.
Comment 2 User image Till Schneidereit [till] 2016-06-24 06:07:42 PDT
Comment on attachment 8764761 [details] [diff] [review]
Do not match K, S, k, s, KELVIN SIGN, LATIN SMALL LETTER LONG S with \W in unicode RegExp.

Review of attachment 8764761 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, thank you.
Comment 3 User image Tooru Fujisawa [:arai] 2016-06-25 08:51:24 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/71d499e82b2cd5096b6f92f0c565cb6cfd5c6039
Bug 1281739 - Do not match K, S, k, s, KELVIN SIGN, LATIN SMALL LETTER LONG S with \W in unicode ignoreCase RegExp. r=till
Comment 4 User image Tooru Fujisawa [:arai] 2016-06-25 08:53:15 PDT
This is a breaking change.
will update documentation after merge.
Comment 5 User image Phil Ringnalda (:philor) 2016-06-25 16:28:36 PDT
https://hg.mozilla.org/mozilla-central/rev/71d499e82b2c
Comment 6 User image Kohei Yoshino [:kohei] 2016-06-27 11:33:08 PDT
I'm not going to write a site compatibility doc for this because the u flag is still new and the change is minor.
Comment 7 User image Tooru Fujisawa [:arai] 2016-06-27 12:38:19 PDT
https://developer.mozilla.org/en-US/Firefox/Releases/50

Note You need to log in before you can comment on or make changes to this bug.